// --------------- jsfold.h

#ifndef JSFOLD_H
#define JSFOLD_H

#include "handler.h"
#include "folder.h"

class Hand;

class JoystickFolder : public Folder  {
  void reset_slot(int);
  EventHandler button1list;
  EventHandler button2list;
  EventHandler list;
  friend class JoystickServer;
public:
  void register_joystickbutton(Hand*,int button,callback);
  void unregister_joystickbutton(Hand*,int button,callback);
  void register_joystickmove(Hand*,callback);
  void unregister_joystickmove(Hand*,callback);
  void delHand(Hand*);
  void reset();
  void dispatch(int, int, int);
};

#endif
